Subject: [Sipping] RFC 3263 nitty gritties

From: "Frank Shearar" <[email-masked]>
Date: Mon, 21 Feb 2005 16:32:08 -0000

Further to my RFC 3263 implementation, I've found two more details I'm not sure about:

Firstly, when RFC 3263 says "do an A or AAAA lookup" can (or should) we perform an A6 lookup too? (After all, RFC 2874 says that it aims to replace AAAA records with A6 records.)

Secondly, section 4.2 says "If it [we didn't perform NAPTR processing] was not, because a transport was specified explicitly, the client performs an SRV query for that specific transport, ..." This explicit specification - is it either if the client specifies the transport OR there's a transport parameter in the URI?

frank

*******************************************************************
This email and attachments (if any) must be swept for viruses before opening. Their contents may be confidential or privileged and are intended solely for the named recipient. If you are not the intended recipient and you have received this email in error you must not read or use this email and should notify RNID on: +44 (0) 20 7296 8282.

RNID, Registered Office 19-23 Featherstone Street, London EC1Y 8SL No. 454169 (England, Registered Charity No. 207720)

********************************************************************

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Frank Shearar" <[email-masked]>
Date: Fri, 25 Feb 2005 11:10:47 -0000

I wrote:
> Firstly, when RFC 3263 says "do an A or AAAA lookup" can (or 
> should) we perform an A6 lookup too? (After all, RFC 2874 
> says that it aims to replace AAAA records with A6 records.)

I found an answer to this: "Forget anything you ever heard about A6. Use AAAA."

Motivation: http://www.ietf.org/proceedings/01dec/I-D/draft-ietf-dnsext-ipv6-addresses-00.txt

> Secondly, section 4.2 says "If it [we didn't perform NAPTR 
> processing] was not, because a transport was specified 
> explicitly, the client performs an SRV query for that 
> specific transport, ..." This explicit specification - is it 
> either if the client specifies the transport OR there's a 
> transport parameter in the URI?

I suppose that it's OK to assume that "explicit specification" means "you specify a transport, or give a transport in the URI"?

frank